package com.krfs.utils;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.junit.Test;

public class XlsxSheetCopyUtilTest {
    @Test
    public void testMergeXlslsWithStyles() throws IOException {
        String xlsxFilePath = "/tmp/balance.xlsx";
        String xlsxToAppendFilePath = "/tmp/pets.xlsx";
        String xlsxOutputFilePath = "/tmp/output.xlsx";
        InputStream is1 = (new FileInputStream(xlsxFilePath));
        InputStream is2 = (new FileInputStream(xlsxToAppendFilePath));
        OutputStream os = new FileOutputStream(xlsxOutputFilePath);
        XSSFWorkbook targetWorkbook = new XSSFWorkbook(is1);
        XSSFWorkbook xlsToAppendWorkbook = new XSSFWorkbook(is2);
        int numberOfSheets = xlsToAppendWorkbook.getNumberOfSheets();
        for (int i = 0; i < numberOfSheets; i++) {
            XSSFSheet sheet = xlsToAppendWorkbook.getSheetAt(i);
            XSSFSheet newSheet = targetWorkbook.createSheet(sheet.getSheetName());
            XlsxSheetCopyUtil.copySheets(newSheet, sheet);
        }
        targetWorkbook.write(os);
    }
}
